Bug 19682

Summary: Move JS to the footer: Two patron-related tools
Product: Koha Reporter: Owen Leonard <oleonard>
Component: TemplatesAssignee: Owen Leonard <oleonard>
Status: RESOLVED FIXED QA Contact: Josef Moravec <josef.moravec>
Severity: enhancement    
Priority: P5 - low CC: claire_gravely, dominic.pichette, josef.moravec, katrin.fischer, testopia
Version: master   
Hardware: All   
OS: All   
Whiteboard:
Change sponsored?: --- Patch complexity: Small patch
Bot Control: --- When did the bot last check this:
Who signed the patch off: Text to go in the release notes:
Bug Depends on: 19641, 19647    
Bug Blocks: 17858    
Attachments: Bug 19682: Move JS to the footer: Two patron-related tools
Bug 19682: Move JS to the footer: Two patron-related tools
Bug 19682: Move JS to the footer: Two patron-related tools
Bug 19682: Move JS to the footer: Two patron-related tools

Description Owen Leonard 2017-11-22 19:32:53 UTC
In order to conform to best practices for performance, staff client template JavaScript should be in the footer instead of the header.

This patch will do so for two patron-related tools which also incorporate elements from the Patrons module, requiring a dependency on Bug 19641: Import patrons and Upload patron images.
Comment 1 Owen Leonard 2017-11-22 19:37:23 UTC
Created attachment 69292 [details] [review]
Bug 19682: Move JS to the footer: Two patron-related tools

This patch modifies two patron-related tools templates in the staff
client so that JavaScript is included in the footer instead of the
header.

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
form validation, etc.

  - Import patrons
  - Upload patron images
Comment 2 Claire Gravely 2017-12-12 09:39:24 UTC
Hullo,

issue when applying dependencies: 
Applying: Bug 19560: Correctly escape branchcode in admin/branches.pl
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/admin/branches.tt).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Comment 3 Owen Leonard 2017-12-12 14:15:42 UTC
I did some rebasing to other bugs this morning so I think this is ready to test.
Comment 4 Claire Gravely 2017-12-12 14:47:03 UTC
Created attachment 69737 [details] [review]
Bug 19682: Move JS to the footer: Two patron-related tools

This patch modifies two patron-related tools templates in the staff
client so that JavaScript is included in the footer instead of the
header.

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
form validation, etc.

  - Import patrons
  - Upload patron images

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 5 Katrin Fischer 2017-12-21 23:22:26 UTC
One of the dependencies is not in the QA queue yet, moving to BLOCKED for now,
please move back once dependencies have been sorted.
Comment 6 Josef Moravec 2018-01-02 20:09:58 UTC
The datepicker in import patrons tool is shown only by dateofbirth field. Should be also on dateexpiry and dateenrolled.
Comment 7 Owen Leonard 2018-01-12 13:38:21 UTC
Created attachment 70467 [details] [review]
Bug 19682: Move JS to the footer: Two patron-related tools

This patch modifies two patron-related tools templates in the staff
client so that JavaScript is included in the footer instead of the
header.

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
form validation, etc.

  - Import patrons
  - Upload patron images

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Edit for QA: Fixed datepickers on import patron form
Comment 8 Josef Moravec 2018-02-07 16:38:04 UTC
Created attachment 71293 [details] [review]
Bug 19682: Move JS to the footer: Two patron-related tools

This patch modifies two patron-related tools templates in the staff
client so that JavaScript is included in the footer instead of the
header.

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
form validation, etc.

  - Import patrons
  - Upload patron images

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Edit for QA: Fixed datepickers on import patron form

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 9 Jonathan Druart 2018-02-15 16:39:19 UTC
Pushed to master for 18.05, thanks to everybody involved!